エンジン数の上限に達しました

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、API は 402 Payment Required を返します。type は https://lingo.dev/docs/api/errors/engine-limit-reached です。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

組織 <organizationId> のエンジン数が、プランで利用できる上限に達しています。エンジンを追加するには、既存のエンジンを削除するか、プランをアップグレードしてください。

フィールド#

レスポンス本文には、標準の type、status、title、detail に加えて、以下のフィールドが含まれます。detail のテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring

例#

json
{
  "detail": "Organization <organizationId> has as many engines as its plan allows. Delete an engine or upgrade the plan to add another.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/engine-limit-reached",
  "status": 402,
  "title": "Engine limit reached"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs